► |  | Embedded GUI: Widgets Within Editors

1 | Containers
2 | Controls
3 | Control Snips
4 | Helpers
5 | Snip Functions

▼ | 3 | Control Snips

3.1 | snip-wrapper%
3.2 | text-button-snip%
3.3 | button-snip%
3.4 | toggle-button-snip%

On this page:

new

Inherited methods:
from snip%
adjust-cursor
blink-caret
can-do-edit-operation?
copy
do-edit-operation
draw
equal-hash-code-of
equal-secondary-hash-code-of
equal-to?
find-scroll-step
get-admin
get-count
get-extent
get-flags
get-num-scroll-steps
get-scroll-step-offset
get-snipclass
get-style
get-text
get-text!
is-owned?
match?
merge-with
next
on-char
on-event
on-goodbye-event
other-equal-to?
own-caret
partial-offset
previous
release-from-owner
resize
set-admin
set-count
set-flags
set-snipclass
set-style
set-unmodified
size-cache-invalid
split
write

top ← prev up next →

> class

> button-snip% : class?

superclass: snip%

A clickable button with a bitmap label.

> > constructor

> > (new button-snip% |
> > |  | [images images] |
> > |  | [callback callback]) |

> → (is-a?/c button-snip%)
> images : (cons/c path-string? path-string?)
> callback : ((is-a?/c button-snip%) (is-a?/c event%) . -> . void?)

The images argument is a pair filenames to be load as the button-label image, where the first is the image for when the button is at rest, and the second is the image for the button while its pressed.

The callback is called when the button is clicked.
top ← prev up next →